import request from '@/utils/request'

// 查询设置用户等级列表
export function listLevel(query) {
  return request({
    url: '/store/level/list',
    method: 'get',
    params: query
  })
}

// 查询设置用户等级详细
export function getLevel(id) {
  return request({
    url: '/store/level/' + id,
    method: 'get'
  })
}

// 新增设置用户等级
export function addLevel(data) {
  return request({
    url: '/store/level',
    method: 'post',
    data: data
  })
}

// 修改设置用户等级
export function updateLevel(data) {
  return request({
    url: '/store/level',
    method: 'put',
    data: data
  })
}

// 删除设置用户等级
export function delLevel(id) {
  return request({
    url: '/store/level/' + id,
    method: 'delete'
  })
}

// 导出设置用户等级
export function exportLevel(query) {
  return request({
    url: '/store/level/export',
    method: 'get',
    params: query
  })
}